IndexExpression (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class IndexExpression

- java.lang.Object
- - org.apache.cassandra.thrift.IndexExpression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<IndexExpression>, org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>

      public class IndexExpression
      extends java.lang.Object
      implements org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<IndexExpression>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IndexExpression._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `column_name`
    `static java.util.Map<IndexExpression._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `IndexOperator` | `op`
    `java.nio.ByteBuffer` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexExpression()`
    `IndexExpression(java.nio.ByteBuffer column_name, IndexOperator op, java.nio.ByteBuffer value)`
    `IndexExpression(IndexExpression other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForColumn_name()`
    `java.nio.ByteBuffer` | `bufferForValue()`
    `void` | `clear()`
    `int` | `compareTo(IndexExpression other)`
    `IndexExpression` | `deepCopy()`
    `boolean` | `equals(IndexExpression that)`
    `boolean` | `equals(java.lang.Object that)`
    `IndexExpression._Fields` | `fieldForId(int fieldId)`
    `byte[]` | `getColumn_name()`
    `java.lang.Object` | `getFieldValue(IndexExpression._Fields field)`
    `IndexOperator` | `getOp()`
    `byte[]` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isSet(IndexExpression._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_name()` Returns true if field column_name is set (has been assigned a value) and false otherwise
    `boolean` | `isSetOp()` Returns true if field op is set (has been assigned a value) and false otherwise
    `boolean` | `isSetValue()` Returns true if field value is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `IndexExpression` | `setColumn_name(byte[] column_name)`
    `IndexExpression` | `setColumn_name(java.nio.ByteBuffer column_name)`
    `void` | `setColumn_nameIsSet(boolean value)`
    `void` | `setFieldValue(IndexExpression._Fields field, java.lang.Object value)`
    `IndexExpression` | `setOp(IndexOperator op)`
    `void` | `setOpIsSet(boolean value)`
    `IndexExpression` | `setValue(byte[] value)`
    `IndexExpression` | `setValue(java.nio.ByteBuffer value)`
    `void` | `setValueIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetColumn_name()`
    `void` | `unsetOp()`
    `void` | `unsetValue()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### column_name

          public java.nio.ByteBuffer column_name

    - #### op

          public IndexOperator op

      See Also:
        `IndexOperator`

    - #### value

          public java.nio.ByteBuffer value

    - #### metaDataMap

          public static final java.util.Map<IndexExpression._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### IndexExpression

          public IndexExpression()

    - #### IndexExpression

          public IndexExpression(java.nio.ByteBuffer column_name,
                                 IndexOperator op,
                                 java.nio.ByteBuffer value)

    - #### IndexExpression

          public IndexExpression(IndexExpression other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public IndexExpression deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### getColumn_name

          public byte[] getColumn_name()

    - #### bufferForColumn_name

          public java.nio.ByteBuffer bufferForColumn_name()

    - #### setColumn_name

          public IndexExpression setColumn_name(byte[] column_name)

    - #### setColumn_name

          public IndexExpression setColumn_name(java.nio.ByteBuffer column_name)

    - #### unsetColumn_name

          public void unsetColumn_name()

    - #### isSetColumn_name

          public boolean isSetColumn_name()

      Returns true if field column_name is set (has been assigned a value) and false otherwise

    - #### setColumn_nameIsSet

          public void setColumn_nameIsSet(boolean value)

    - #### getOp

          public IndexOperator getOp()

      See Also:
        `IndexOperator`

    - #### setOp

          public IndexExpression setOp(IndexOperator op)

      See Also:
        `IndexOperator`

    - #### unsetOp

          public void unsetOp()

    - #### isSetOp

          public boolean isSetOp()

      Returns true if field op is set (has been assigned a value) and false otherwise

    - #### setOpIsSet

          public void setOpIsSet(boolean value)

    - #### getValue

          public byte[] getValue()

    - #### bufferForValue

          public java.nio.ByteBuffer bufferForValue()

    - #### setValue

          public IndexExpression setValue(byte[] value)

    - #### setValue

          public IndexExpression setValue(java.nio.ByteBuffer value)

    - #### unsetValue

          public void unsetValue()

    - #### isSetValue

          public boolean isSetValue()

      Returns true if field value is set (has been assigned a value) and false otherwise

    - #### setValueIsSet

          public void setValueIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(IndexExpression._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(IndexExpression._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### isSet

          public boolean isSet(IndexExpression._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(IndexExpression that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(IndexExpression other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<IndexExpression>`

    - #### fieldForId

          public IndexExpression._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<IndexExpression,IndexExpression._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation